Refill the billing limit
curl --request POST \
--url https://prod.oneloop.ai/api/v1/customer-billing/refill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"externalMeterId": "<string>",
"refill": 1
}
'import requests
url = "https://prod.oneloop.ai/api/v1/customer-billing/refill"
payload = {
"workspaceId": "<string>",
"externalMeterId": "<string>",
"refill": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspaceId: '<string>', externalMeterId: '<string>', refill: 1})
};
fetch('https://prod.oneloop.ai/api/v1/customer-billing/refill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billing": {
"id": "<string>",
"totalCredits": "<string>",
"usedCredits": "<string>",
"allowOverages": true,
"spendCap": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"code": 1,
"message": "<string>"
}
}{
"error": {
"code": 1,
"message": "<string>"
}
}{
"error": {
"code": 1,
"message": "<string>"
}
}Usage Metering
Refill the billing limit
POST
/
api
/
v1
/
customer-billing
/
refill
Refill the billing limit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The updated billing
Show child attributes
Show child attributes
⌘I